/* Copyright (c) 2017, Texas Instruments Incorporated
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

*  Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

*  Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

*  Neither the name of Texas Instruments Incorporated nor the names of
   its contributors may be used to endorse or promote products derived
   from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.*/


#include "grlib.h"

static const unsigned char pixel_humidity11BPP_UNCOMP[] =
{
0xff, 0xff, 0xf0, 
0xff, 0xff, 0xf0, 
0xff, 0xff, 0xf0, 
0xff, 0xff, 0xf0, 
0xff, 0xff, 0xf0, 
0xff, 0xff, 0xf0, 
0xff, 0xdf, 0xf0, 
0xff, 0x8f, 0xf0, 
0xff, 0x07, 0xf0, 
0xff, 0x07, 0xf0, 
0xff, 0x8c, 0xf0, 
0xff, 0xf8, 0x70, 
0xff, 0xf0, 0x30, 
0xff, 0xe0, 0x10, 
0xff, 0xe0, 0x10, 
0xff, 0xe0, 0x10, 
0xff, 0xe0, 0x10, 
0xff, 0xf0, 0x30, 
0xff, 0x9f, 0xf0, 
0xfe, 0x07, 0xf0, 
0xfc, 0x03, 0xf0, 
0xf8, 0x01, 0xf0, 
0xf0, 0x00, 0xf0, 
0xe0, 0x00, 0x70, 
0xe0, 0x00, 0x70, 
0xc0, 0x00, 0x30, 
0xc0, 0x00, 0x30, 
0x90, 0x00, 0x10, 
0xa9, 0x32, 0x90, 
0x92, 0x2a, 0x90, 
0x84, 0x33, 0x90, 
0x89, 0x2a, 0x90, 
0x92, 0xaa, 0x90, 
0xc1, 0x00, 0x30, 
0xc0, 0x00, 0x30, 
0xe0, 0x00, 0x70, 
0xf0, 0x00, 0xf0, 
0xf8, 0x01, 0xf0, 
0xfe, 0x07, 0xf0, 
0xff, 0xff, 0xff
};

static const unsigned long palette_humidity11BPP_UNCOMP[]=
{
	0x000000, 	0xffffff
};

const tImage  humidity11BPP_UNCOMP=
{
	IMAGE_FMT_1BPP_UNCOMP,
	20,
	40,
	2,
	palette_humidity11BPP_UNCOMP,
	pixel_humidity11BPP_UNCOMP,
};

